

Fix these:

arch/ppc64/kernel/time.c:80:1: warning: "USEC_PER_SEC" redefined
In file included from include/linux/timex.h:54,
                 from include/linux/sched.h:11,
                 from arch/ppc64/kernel/time.c:38:
include/linux/time.h:46:1: warning: this is the location of the previous definition
arch/ppc64/kernel/syscalls.c:47:1: warning: "USEC_PER_SEC" redefined
In file included from include/linux/timex.h:54,
                 from include/linux/sched.h:11,
                 from arch/ppc64/kernel/syscalls.c:24:
include/linux/time.h:46:1: warning: this is the location of the previous definition



 ppc64/kernel/syscalls.c |    2 +-
 ppc64/kernel/time.c     |    1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/time.c~ppc64-time-warning-fix arch/ppc64/kernel/time.c
--- 25-power4/arch/ppc64/kernel/time.c~ppc64-time-warning-fix	2003-02-18 20:33:34.000000000 -0800
+++ 25-power4-akpm/arch/ppc64/kernel/time.c	2003-02-18 20:33:49.000000000 -0800
@@ -77,7 +77,6 @@ static unsigned long first_settimeofday 
 #endif
 
 #define XSEC_PER_SEC (1024*1024)
-#define USEC_PER_SEC (1000000)
 
 unsigned long tb_ticks_per_jiffy;
 unsigned long tb_ticks_per_usec;
diff -puN arch/ppc64/kernel/syscalls.c~ppc64-time-warning-fix arch/ppc64/kernel/syscalls.c
--- 25-power4/arch/ppc64/kernel/syscalls.c~ppc64-time-warning-fix	2003-02-18 20:33:57.000000000 -0800
+++ 25-power4-akpm/arch/ppc64/kernel/syscalls.c	2003-02-18 20:34:21.000000000 -0800
@@ -35,6 +35,7 @@
 #include <linux/utsname.h>
 #include <linux/file.h>
 #include <linux/init.h>
+#include <linux/time.h>
 #include <linux/personality.h>
 
 #include <asm/uaccess.h>
@@ -44,7 +45,6 @@
 #include <asm/time.h>
 
 extern unsigned long wall_jiffies;
-#define USEC_PER_SEC (1000000)
 
 void
 check_bugs(void)

_
